> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/sdk-reference/saa-s-sdk/saa-s-api/workspaces/list-users-workspaces/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # List user's workspaces GET https://alephant.io/api/v1/workspaces Returns all workspaces the authenticated user belongs to. Paginated (page, pageSize; max pageSize 100). Reference: https://developers.alephant.io/api-reference/saa-s-api/workspaces/list-users-workspaces ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Query parameters - `page` (integer, optional, default: 1) — Page number - `pageSize` (integer, optional, default: 20) — Items per page ### Headers - `Authorization` (string, required) — Bearer \{access\_token} ## Response ### 200 data: list, meta: pagination - `data` (list of internal_api_handlers_workspaces.WorkspaceListItemDTO, optional) - `meta` (internal_api_handlers_workspaces.Meta, optional) ## Errors ### 401 Unauthorized Error AUTH_TOKEN_EXPIRED - `map from string to any` ## Types ### internal_api_handlers_workspaces.WorkspaceListItemDTO - `createdAt` (string, optional) - `id` (string, optional) - `logoUrl` (string, optional) - `name` (string, optional) - `role` (string, optional) - `slug` (string, optional) - `tier` (string, optional) - `type` (string, optional) ### internal_api_handlers_workspaces.Meta - `page` (integer, optional) - `pageSize` (integer, optional) - `total` (integer, optional) - `totalPages` (integer, optional) ## Examples **Response** ```json { "data": [ { "createdAt": "string", "id": "string", "logoUrl": "string", "name": "string", "role": "string", "slug": "string", "tier": "string", "type": "string" } ], "meta": { "page": 1, "pageSize": 1, "total": 1, "totalPages": 1 } } ``` **SDK Code** ```python import requests url = "https://alephant.io/api/v1/workspaces" headers = {"Authorization": "Authorization"} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/workspaces'; const options = {method: 'GET', headers: {Authorization: 'Authorization'}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/workspaces" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Authorization") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/workspaces") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Authorization' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://alephant.io/api/v1/workspaces") .header("Authorization", "Authorization") .asString(); ``` ```php request('GET', 'https://alephant.io/api/v1/workspaces', [ 'headers' => [ 'Authorization' => 'Authorization', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/workspaces"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Authorization"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Authorization"] let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/workspaces")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```